###Sets up scoreboards for advancements and attacks. Utilizes same objectives as nitk for resources###
scoreboard objectives add nitWarCraft dummy
scoreboard objectives add nitHellAttacks dummy
scoreboard objectives add nitBoxProg dummy
scoreboard objectives add nitKeepCraft dummy
advancement grant @a[advancements={nitk:nitk/ach4.1=true},nbt={Dimension:"minecraft:the_nether"}] only nitco:nitco/root

###Create the portal###
setblock ~ ~ ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-5,sizeX:15,posZ:-7,integrity:1.0f,name:"nitco:portal",sizeY:16,sizeZ:15} replace
setblock ~ ~1 ~ minecraft:redstone_block
tp @s[tag=!global.ignore.pos] ~ ~1 ~
fill ~-2 ~-6 ~-2 ~2 ~-6 ~2 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 20 ~ nether_bricks"}

###Place siteplanner to the east###
setblock ~7 ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitco:siteplanner_e",sizeY:2,sizeZ:1} replace
setblock ~7 ~2 ~ minecraft:redstone_block

###Place siteplanner to the west###
setblock ~-7 ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitco:siteplanner_w",sizeY:2,sizeZ:1} replace
setblock ~-7 ~2 ~ minecraft:redstone_block

###Place siteplanner to the north###
setblock ~ ~1 ~-7 minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitco:siteplanner_n",sizeY:2,sizeZ:1} replace
setblock ~ ~2 ~-7 minecraft:redstone_block

###Place siteplanner to the south###
setblock ~ ~1 ~7 minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitco:siteplanner_s",sizeY:2,sizeZ:1} replace
setblock ~ ~2 ~7 minecraft:redstone_block

###Remove the strategy###
clear @p written_book{title:"War Strategy"}

###Assigns the fortress' ID###
execute store result score @s nitID run data get entity @s UUID[0]
scoreboard players operation @e[tag=nitNetherbrickStor,limit=1,sort=nearest] nitID = @s nitID
scoreboard players operation @e[tag=nitCGoldStor,limit=1,sort=nearest] nitID = @s nitID
tag @s add nitDenizen

###Summons markers for natural structures###
summon minecraft:area_effect_cloud ~ 128 ~ {Tags:[nitSpreadCenter,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellShip,nitCSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellFactory,nitCSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellDrill,nitCSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitWithermaw,nitCSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitBoxCenter,nitCSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
scoreboard players operation @e[tag=nitCSpecialFeature,limit=4,sort=nearest] nitID = @s nitID

###Spreads the natural structures for the matching fortress###
scoreboard players operation #nitID nitTemp = @s nitID
execute as @e[tag=nitCSpecialFeature,limit=4,sort=nearest] if score @s nitID = #nitID nitTemp run tag @s add nitID_match
execute as @e[tag=nitSpreadCenter] at @e[tag=nitSpreadCenter] run function nitco:spread_features
kill @e[tag=nitSpreadCenter]

###Builds natural structures###
execute as @e[tag=nitHellShip,tag=nitID_match] at @s run function nitco:special/gen_ship
execute as @e[tag=nitHellFactory,tag=nitID_match] at @s run function nitco:special/gen_factory
execute as @e[tag=nitHellDrill,tag=nitID_match] at @s run function nitco:special/gen_drill
execute as @e[tag=nitWithermaw,tag=nitID_match] at @s run function nitco:special/gen_withermaw
execute as @e[tag=nitBoxCenter,tag=nitID_match] at @s run function nitco:special/paradox_box/boxinit
tag @e[tag=nitCSpecialFeature,tag=nitID_match] remove nitID_match

###Summons the War Strategist, who fulfills similar function to Town Planner###
execute at @e[tag=nitWarStrategist] as @s run summon villager ~ ~ ~ {VillagerData:{profession:weaponsmith,level:5,type:swamp},Invulnerable:1,PersistenceRequired:1,NoAI:1,CustomName:"\"War Strategist\"",Offers:{Recipes:[{buy:{id:feather,Count:1},sell:{id:"minecraft:written_book",Count:1,tag:{pages:['{"text":"Use this book as guidance for building your nether fortress! Put the requisite items in the War Planners at the edges of this platform\'s bridges, and I\'ll build the appropriate feature."}','{"text":"Every recipe will have the following setup.\\nKey:\\n \\u0020G = Gold Ingot\\n \\u0020N = Nethr Brck Item\\nRecipe:\\n \\u0020 Nx# \\u0020| Nx# \\u0020| \\u0020Nx#\\n \\u0020 Nx# \\u0020| Gx# \\u0020| \\u0020Nx#\\n \\u0020 Nx# \\u0020| Nx# \\u0020| \\u0020Nx#\\nThe above Key items are universal for every recipe."}','["",{"text":"Respawn Platform.","bold":true,"underlined":true},{"text":" A safe haven to rest your soul on.\\n \\u0020L = Glowstone Block\\n \\u0020R = Respawn Anchor\\n \\u0020D = Crimson Door\\n\\n \\u0020 Lx2 \\u0020| Rx1 \\u0020| \\u0020Lx2\\n \\u0020 Dx1 \\u0020| Gx4 \\u0020| \\u0020Dx1\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Crimson Arbor.","bold":true,"underlined":true},{"text":" Hires a Crimson Forest gardener.\\n \\u0020F = Crimson Fungus\\n \\u0020B = Bonemeal\\n \\u0020C = Crimson Stem\\n\\n \\u0020 Fx4 \\u0020| Bx8 \\u0020| \\u0020Fx4\\n \\u0020 Cx8 \\u0020| Gx6 \\u0020| \\u0020Cx8\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Warped Arbor.","bold":true,"underlined":true},{"text":" Hires a Warped Forest gardener.\\n \\u0020F = Warped Fungus\\n \\u0020B = Bonemeal\\n \\u0020W = Warped Stem\\n\\n \\u0020 Fx4 \\u0020| Bx8 \\u0020| \\u0020Fx4\\n \\u0020 Wx8 \\u0020| Gx6 \\u0020| \\u0020Wx8\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Basalter.","bold":true,"underlined":true},{"text":" Hires a basalt miner, who will trade for Blackstone.\\n \\u0020B = Basalt\\n \\u0020L = Lava Bucket (Not returned)\\n \\u0020S = Blackstone\\n\\n \\u0020 Bx4 \\u0020| Lx1 \\u0020| \\u0020Bx4\\n \\u0020 Sx16 | Gx5 \\u0020| \\u0020Sx16\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Wart Pit.","bold":true,"underlined":true},{"text":" Hires a Wart Tender to grow your Nether Wart supply.\\n \\u0020W = Nether Wart\\n \\u0020B = Nthr Wart Blck\\n \\u0020Y = Wrped Wart Blck\\n \\u0020R = Red Nthr Brcks\\n \\u0020S = Soul Sand\\n\\n \\u0020 Bx8 \\u0020| Rx16 \\u0020| \\u0020Yx8\\n \\u0020 Wx12 \\u0020| Gx6 \\u0020| \\u0020Sx12\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Hoglin Pen.","bold":true,"underlined":true},{"text":" A controlled pasture for violent Nether Denizens.\\n \\u0020P = Cooked Porkchop\\n \\u0020C = Crimson Planks\\n \\u0020Y = Crimson Stem\\n\\n \\u0020 Px8 \\u0020| Cx8 \\u0020| \\u0020Px8\\n \\u0020 Yx16 | Gx2 \\u0020| \\u0020Yx16\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Weaponsmith.","bold":true,"underlined":true},{"text":" Hires a master of golden tools and weapons.\\n \\u0020C = Crimson Planks\\n \\u0020F = Fletching Table\\n \\u0020B = Blast Furnace\\n\\n \\u0020 Cx8 \\u0020| Cx8 \\u0020| \\u0020Cx8\\n \\u0020 Fx1 \\u0020| Gx8 \\u0020| \\u0020Bx1\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Armorer.","bold":true,"underlined":true},{"text":" Hires a master of golden armor.\\n \\u0020S = Blackstone\\n \\u0020T = Smithing Table\\n \\u0020B = Blast Furnace\\n\\n \\u0020 Sx8 \\u0020| Sx8 \\u0020| \\u0020Sx8\\n \\u0020 Tx1 \\u0020| Gx8 \\u0020| \\u0020Bx1\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Demolitions Bridge.","bold":true,"underlined":true},{"text":" Hires a Demolisher, who sells TNT.\\n \\u0020O = Obsidian\\n \\u0020U = Gunpowder\\n \\u0020I = Iron Ingot\\n\\n \\u0020 Ox8 \\u0020| Ux16 | \\u0020Ox8\\n \\u0020 Ix4 \\u0020| Gx12 | \\u0020Ix4\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Magical Farm.","bold":true,"underlined":true},{"text":" Hires a gardener of mineral and food plants.\\n \\u0020I = Iron Block\\n \\u0020D = Diamond Block\\n \\u0020P = Cooked Porkchop\\n \\u0020W = Weeping Vines\\n \\u0020C = Chain\\n\\n \\u0020 Ix1 \\u0020| Dx1 \\u0020| \\u0020Px9\\n \\u0020 Wx9 \\u0020| Gx8 \\u0020| \\u0020Cx9\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Strider Dock.","bold":true,"underlined":true},{"text":" Transportation to and across the lava seas.\\n \\u0020C = Chain\\n \\u0020R = Crimson Stem\\n \\u0020S = Blackstone\\n \\u0020W = Warped Fungus\\n\\n \\u0020 Cx4  | Rx8  \\u0020| \\u0020Cx4\\n \\u0020 Sx16 \\u0020| Gx10 \\u0020| \\u0020Wx2\\n \\u0020 Nx12 \\u0020| Nx24 | \\u0020Nx12","color":"reset"}]','["",{"text":"Ghast Balloon.","bold":true,"underlined":true},{"text":" A platform to deter Ghasts away from the fortress.\\n \\u0020W = Warped Wrt Blck\\n \\u0020H = Ghast Tear\\n \\u0020C = Chain\\n\\n \\u0020 Wx24 | Hx6 \\u0020| \\u0020Wx24\\n \\u0020 Cx4 \\u0020| Gx4 \\u0020| \\u0020Cx4\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Soulforge.","bold":true,"underlined":true},{"text":" Hires a forger, who can teach you to turn souls into scrap metal.\\n \\u0020A = Basalt\\n \\u0020C = Soul Campfire\\n \\u0020S = Soul Sand\\n \\u0020B = Blast Furnace\\n\\n \\u0020 Ax32 | Cx1 \\u0020| \\u0020Ax32\\n \\u0020 Sx16 | Gx8 \\u0020| \\u0020Bx1\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Barter Platform.","bold":true,"underlined":true},{"text":" A bazaar of Piglin salespigs.\\n \\u0020C = Crying Obsidian\\n \\u0020S = Netherite Scrap\\n \\u0020L = Gilded Blckstne\\n \\u0020B = Blackstone\\n\\n \\u0020 Cx3  | Sx1 \\u0020| \\u0020Lx5\\n \\u0020 Bx16\\u0020| Gx15\\u0020| \\u0020Bx16\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Empty.","bold":true,"underlined":true},{"text":" An empty platform to build whatever you need.\\n\\n \\u0020 Nx1 \\u0020| Nx1 \\u0020| \\u0020Nx1\\n \\u0020 Nx1 \\u0020| Gx1 \\u0020| \\u0020Nx1\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Forbidden Steeple.","bold":true,"underlined":true},{"text":" An impossible place of healing in an unforgiving world.\\n \\u0020B = Water Bucket\\n \\u0020T = Totem of Undying\\n \\u0020Q = Quartz Block\\n\\n \\u0020   ?  \\u0020| Bx1 \\u0020| \\u0020Tx1\\n \\u0020 Qx32\\u0020| Gx10\\u0020| \\u0020Qx32\\n \\u0020 Nx8 \\u0020| Nx16 | \\u0020Nx8","color":"reset"}]','["",{"text":"Nether Keep.","bold":true,"underlined":true},{"text":" The start of a fortified interior to your fortress.\\n \\u0020B = Blackstone\\n \\u0020A = Lava Bucket\\n\\n \\u0020 Bx32\\u0020| Ax1 \\u0020| \\u0020Bx32\\n \\u0020 Nx64\\u0020| Gx20\\u0020| \\u0020Nx64\\n \\u0020 Nx64\\u0020| Nx64 | \\u0020Nx64","color":"reset"}]'],title:"Counteroffensive Site Recipes",author:"War Strategist"}},maxUses:9999999},{buy:{id:firework_star,Count:1,tag:{HideFlags:1,display:{Name:'{"text":"Tyrannical Heart"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}},sell:{id:gold_ingot,Count:3},maxUses:9999999},{buy:{id:gold_ingot,Count:16},sell:{id:ender_eye,Count:1},maxUses:9999999}]},Tags:[nitDenizen,nitCWS,global.ignore]}
scoreboard players operation @e[tag=nitCWS,limit=1,sort=nearest] nitID = @s nitID
kill @e[tag=nitWarStrategist]