###Starts the settlement if the player used a Charter Book###
execute as @s[type=player,scores={nitContract=1}] at @s run function nitk:contract_test
execute as @s[type=player,scores={nitContract=2}] at @s run function nitco:contract_test
execute as @s[type=player,scores={nitContract=3}] at @s run function nitref:contract_test

###Runs functions to kill siteplanner entities when dropper is destroyed###
execute as @s[tag=nitKSitePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitKCastlePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitCSitePlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitPortalPlanner] at @s run function nitk:siteplanner_kill
execute as @s[tag=nitRSitePlanner] at @s run function nitk:siteplanner_kill

###Runs functions for town, fortress, and city structures structures###
execute as @s[tag=nitGuardTower] at @s run function nitk:recurs/guardtower_lookout
execute as @s[tag=nitJukebox] at @s run function nitk:recurs/bard_jukebox
execute as @s[tag=nitCathedralWater] at @s run function nitk:recurs/cathedral_water
execute as @s[tag=nitGhastBalloon] at @s run function nitco:recurs/ghast_balloon
execute as @s[tag=nitSoulForge] at @s run function nitco:recurs/soulforge
execute as @s[tag=nitHealWater] at @s run function nitco:recurs/healing_water
execute as @s[tag=nitLiftTop] at @s if block ~ ~ ~-1 minecraft:polished_blackstone_button[powered=true] run function nitco:recurs/strider_lift_down
execute as @s[tag=nitLiftBottom] at @s if block ~ ~ ~-1 minecraft:polished_blackstone_button[powered=true] run function nitco:recurs/strider_lift_up
execute as @s[tag=nitPurehearth] at @s run function nitco:recurs/purehearth
execute as @s[tag=nitObPylon] at @s run function nitco:recurs/ob_pylon
execute as @s[tag=nitInfLava] at @s run function nitref:recurs/infinite_lava
execute as @s[tag=nitSlowFall] at @s run function nitref:recurs/slowfall

###Runs the special functions for some natural structures###
execute as @s[tag=nitHaroldCage] at @s run function nitk:special/cage_cured
execute as @s[tag=nitGhastAttack,y=170,dy=200] at @s run tp @s ~ ~-50 ~
execute as @s[tag=nitAncientBuilder] at @s run function nitco:special/withermaw_hold

###Keeps certain special items and resource drops alive###
execute as @s[type=minecraft:item,nbt={Item:{id:"minecraft:music_disc_mellohi"}},tag=!global.ignore] run data merge entity @s {Age:10}
execute as @s[tag=nitGApple] run data merge entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:golden_apple"}},distance=..2,limit=1] {Age:10}
execute as @s[tag=nitEndermollusk] run data merge entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:ender_pearl"}},distance=..4,limit=1] {Age:10}

###Checks if there isn't an Ender Dragon and gives the appropriate advancement###
execute as @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true,nitref:nitref/ach2.1=false}] if entity @e[type=ender_dragon] run advancement revoke @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true}] only nitref:nitref/ach2.1 return-to-end
execute as @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true,nitref:nitref/ach2.1=false}] unless block 0 50 0 air run advancement revoke @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true}] only nitref:nitref/ach2.1 return-to-end
execute as @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true,nitref:nitref/ach2.1=false}] unless entity @e[type=ender_dragon] unless block 0 50 0 air run advancement grant @s[nbt={Dimension:"minecraft:the_end"},advancements={nitco:nitco/ach5.1=true}] only nitref:nitref/ach2.1 dragon-killed

###Performs checks for the invasion progress, then runs appropriate functions###
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=1}] run function nitref:invasion/obelisks
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=2}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=3}] run function nitref:invasion/obelisks
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=4}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=5}] run function nitref:invasion/obelisks
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=6}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=7}] run function nitref:invasion/portals
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=17}] run function nitref:invasion/drill
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=18}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute as @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=19}] run function nitref:invasion/wither

###Adds nearby Endermen to the team friendly to the player###
execute if entity @p[nbt={Dimension:"minecraft:the_end"},distance=..10] run team join refFriendEnd @s[type=enderman]
execute if entity @p[nbt={Dimension:"minecraft:the_end"},distance=..10,team=refFriendEnd] run data merge entity @s[type=enderman,team=refFriendEnd] {Invulnerable:1b}