gamerule commandBlockOutput false

###Sets scoreboards used for advancements, attacks, and resource spawning###
scoreboard objectives add nitSiteCraft dummy
scoreboard objectives add nitCastleCraft dummy
scoreboard objectives add nitHellAttacks dummy
scoreboard objectives add nitResourceTime dummy
scoreboard objectives add nitResourceSpawn dummy
scoreboard objectives add nitTaxSpawn dummy
scoreboard objectives add nitID dummy
scoreboard objectives add nitTemp dummy
scoreboard objectives add nitSpreadLim dummy

###Create the settler wagon###
setblock ~ ~ ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-3,sizeX:15,posZ:-7,integrity:1.0f,name:"nitk:wagon",sizeY:32,sizeZ:15} replace
setblock ~ ~1 ~ minecraft:redstone_block
tp @s[tag=!global.ignore.pos] ~ ~2 ~

###Place siteplanner to the east###
setblock ~7 ~ ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitk:siteplanner_e",sizeY:2,sizeZ:1} replace
setblock ~7 ~1 ~ minecraft:redstone_block

###Place siteplanner to the west###
setblock ~-7 ~ ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitk:siteplanner_w",sizeY:2,sizeZ:1} replace
setblock ~-7 ~1 ~ minecraft:redstone_block

###Place siteplanner to the north###
setblock ~ ~ ~-7 minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitk:siteplanner_n",sizeY:2,sizeZ:1} replace
setblock ~ ~1 ~-7 minecraft:redstone_block

###Place siteplanner to the south###
setblock ~ ~ ~7 minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:0,mode:"LOAD",posY:0,sizeX:1,posZ:0,integrity:1.0f,name:"nitk:siteplanner_s",sizeY:2,sizeZ:1} replace
setblock ~ ~1 ~7 minecraft:redstone_block

###Remove the charter###
clear @p written_book{title:"Town Charter"}

###Assigns the town's ID###
tag @a[distance=..20] add nitCitizen
execute store result score @s nitID run data get entity @s UUID[0]
scoreboard players operation @e[tag=nitStoneStor,limit=1,sort=nearest] nitID = @s nitID
scoreboard players operation @e[tag=nitLumberStor,limit=1,sort=nearest] nitID = @s nitID

###Assigns wagon color###
function nitk:wagon_color

###Summons markers for hell attacks###
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite1,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite2,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite3,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite4,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite5,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHellSite6,nitHellSite,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
scoreboard players operation @e[tag=nitHellSite,limit=6,sort=nearest] nitID = @s nitID
scoreboard players set @e[tag=nitHellSite,limit=6,sort=nearest] nitHellAttacks 0

###Spreads the hell attack markers for this town###
scoreboard players operation #nitID nitTemp = @s nitID
execute as @e[tag=nitHellSite,limit=6,sort=nearest] if score @s nitID = #nitID nitTemp run tag @s add nitID_match
scoreboard players set @s nitSpreadLim 0
function nitk:spread_hell
execute as @e[tag=nitHellSite,tag=nitID_match] at @s run function nitk:special/special_gen_ground
tag @e[tag=nitHellSite,tag=nitID_match] remove nitID_match

###Summons markers for natural structures###
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitEndVault,nitKSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitCrucible,nitKSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitHaroldCage,nitKSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
summon minecraft:area_effect_cloud ~ ~ ~ {Tags:[nitAlignPuz,nitKSpecialFeature,global.ignore],Invisible:1b,Invulnerable:1b,NoGravity:1b,Age:-2147483648,Duration:-1,WaitTime:-2147483648}
scoreboard players operation @e[tag=nitKSpecialFeature,limit=4,sort=nearest] nitID = @s nitID

###Spreads and builds the natural structures for this town###
scoreboard players operation #nitID nitTemp = @s nitID
execute as @e[tag=nitKSpecialFeature,limit=4,sort=nearest] if score @s nitID = #nitID nitTemp run tag @s add nitID_match
scoreboard players set @s nitSpreadLim 0
function nitk:spread_features
execute as @e[tag=nitKSpecialFeature,tag=nitID_match] at @s run function nitk:special/special_gen_ground
scoreboard players set @s nitSpreadLim 0
execute as @e[tag=nitEndVault,tag=nitID_match] at @s run function nitk:special/gen_endvault
execute as @e[tag=nitCrucible,tag=nitID_match] at @s run function nitk:special/gen_crucible
execute as @e[tag=nitHaroldCage,tag=nitID_match] at @s run function nitk:special/gen_haroldcage
execute as @e[tag=nitAlignPuz,tag=nitID_match] at @s run function nitk:special/gen_alignpuz
tag @e[tag=nitKSpecialFeature,tag=nitID_match] remove nitID_match

###Summons the town planner###
execute as @e[tag=nitTownPlanner] at @s run summon villager ~ ~ ~ {VillagerData:{profession:cartographer,level:4,type:plains},Invulnerable:1,PersistenceRequired:1,NoAI:1,CustomName:"\"Town Planner\"",Offers:{Recipes:[{buy:{id:"minecraft:feather",Count:1},sell:{id:"minecraft:written_book",Count:1,tag:{pages:['{"text":"Use this book as guidance for building new sites in your settlement! Place the requisite items in the Site Planners at the edges of your settler\'s wagon, and I\'ll build the appropriate town feature."}','["",{"text":"Every recipe will have the following setup.\\nKey:\\n \\u0020 L = Oak Logs\\n \\u0020 S = Stone\\n \\u0020 "},{"text":"Q","obfuscated":true},{"text":" = Building Permit\\nRecipe: (# is quantity)\\n \\u0020 \\u0020Lx# \\u0020| Lx# \\u0020| \\u0020Lx#\\n \\u0020 \\u0020Sx# \\u0020| \\u0020","color":"reset"},{"text":"Q ","obfuscated":true},{"text":" \\u0020| \\u0020Sx#\\n \\u0020 \\u0020Lx# \\u0020| Sx# \\u0020| \\u0020Lx#\\nThe above Key items are universal for every recipe.","color":"reset"}]','["",{"text":"Mine.","bold":true,"underlined":true},{"text":" Hires a miner to dig up Stone once a day, and to trade raw stones with.\\n \\u0020 P = Iron Pickaxe\\n \\u0020 I = Iron Shovel\\n\\n \\u0020 \\u0020Lx4 \\u0020| Px1 \\u0020| \\u0020Lx4\\n \\u0020 \\u0020Lx4 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx4\\n \\u0020 \\u0020Sx32 | Ix1 \\u0020| \\u0020Sx32","color":"reset"}]','["",{"text":"Lumber Mill.","bold":true,"underlined":true},{"text":" Hires a lumberer to chop logs once a day, and to trade log types with.\\n \\u0020 I = Iron Ingot\\n \\u0020 C = Crafting Table\\n \\u0020 W = Water Bucket\\n \\u0020 (Not returned)\\n\\n \\u0020 \\u0020Ix4 \\u0020| Cx1 \\u0020| \\u0020Ix4\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx16\\n \\u0020 \\u0020Sx8 \\u0020| Wx1 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Fishery.","bold":true,"underlined":true},{"text":" Hires a fisherman who restocks a small pond.\\n \\u0020 F = Fishing Rod\\n \\u0020 K = Kelp\\n \\u0020 W = Water Bucket\\n \\u0020 (Not returned)\\n\\n \\u0020 \\u0020Fx1 \\u0020| Kx8 \\u0020| \\u0020Fx1\\n \\u0020 \\u0020Lx32 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx32\\n \\u0020 \\u0020Lx16\\u0020| Wx1 \\u0020| \\u0020Lx16","color":"reset"}]','["",{"text":"Farm Plot.","bold":true,"underlined":true},{"text":" Hires a Farmhand to harvest crops once per day.\\n \\u0020 W = Wheat Seeds\\n \\u0020 C = Carrot\\n \\u0020 H = Iron Hoe\\n \\u0020 B = Water Bucket\\n \\u0020 (Not returned)\\n\\n \\u0020 \\u0020Wx12\\u0020| Hx1 \\u0020| \\u0020Cx12\\n \\u0020 \\u0020Lx12\\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx12\\n \\u0020 \\u0020Sx4 \\u0020| Bx1 \\u0020| \\u0020Sx4","color":"reset"}]','["",{"text":"Homestead.","bold":true,"underlined":true},{"text":" A better place to rest your head.\\n \\u0020 C = Chest\\n \\u0020 A = Cake\\n \\u0020 B = Brick Block\\n \\u0020 W = White Bed\\n\\n \\u0020 \\u0020Sx16\\u0020| Ax1 \\u0020| \\u0020Sx16\\n \\u0020 \\u0020Cx3 \\u0020|  \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Bx16\\n \\u0020 \\u0020Lx32 | Wx1 \\u0020| \\u0020Lx32","color":"reset"}]','["",{"text":"Guard Tower.","bold":true,"underlined":true},{"text":" Weakens nearby invaders to the settlement.\\n \\u0020 I = Iron Ingot\\n \\u0020 R = Redstone Dust\\n \\u0020 B = Bow\\n\\n \\u0020 \\u0020Ix2 \\u0020| Rx4 \\u0020| \\u0020Ix2\\n \\u0020 \\u0020Bx1 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Bx1\\n \\u0020 \\u0020Sx64 | Lx8 \\u0020| \\u0020Sx64","color":"reset"}]','["",{"text":"Resource Silo.","bold":true,"underlined":true},{"text":" Doubles the yield from Miners and Lumberers and moves collection from the wagon.\\n \\u0020 C = Chest\\n \\u0020 R = Redstone Dust\\n \\u0020 H = Hopper\\n \\u0020\\n \\u0020 \\u0020Cx3 \\u0020| Rx32\\u0020| \\u0020Cx3\\n \\u0020 \\u0020Lx64 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx64\\n \\u0020 \\u0020Sx64\\u0020| Hx4\\u0020 | \\u0020Sx64","color":"reset"}]','["",{"text":"Mining Drill.","bold":true,"underlined":true},{"text":" Collects underground resources once per day.\\n \\u0020 W = White Wool\\n \\u0020 A = Andesite\\n \\u0020 D = Diamond Pickaxe\\n \\u0020\\n \\u0020 \\u0020Lx48\\u0020| Wx16\\u0020| \\u0020Lx48\\n \\u0020 \\u0020Ax16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Ax16\\n \\u0020 \\u0020Sx32\\u0020| Dx1\\u0020 | \\u0020Sx32","color":"reset"}]','["",{"text":"Mayor\'s Office.","bold":true,"underlined":true},{"text":" Elects a mayor, who can write new charter books.\\n \\u0020 B = Sand\\n \\u0020 G = Gravel\\n \\u0020 D = Polished Diorite\\n\\n \\u0020 \\u0020Bx8 \\u0020| Lx6 \\u0020| \\u0020Gx8\\n \\u0020 \\u0020Sx8 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Sx8\\n \\u0020 \\u0020Dx8 \\u0020| Dx8 \\u0020| \\u0020Dx8","color":"reset"}]','["",{"text":"Bakery.","bold":true,"underlined":true},{"text":" Hires a baker, who will trade for food and goods.\\n \\u0020 B = Brick Block\\n \\u0020 F = Smoker\\n\\n \\u0020 \\u0020Lx8 \\u0020| Lx8 \\u0020| \\u0020Bx12\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q ","obfuscated":true},{"text":" \\u0020| \\u0020Bx12\\n \\u0020 \\u0020Sx8 \\u0020| Fx2 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Chicken Coop.","bold":true,"underlined":true},{"text":" A roost for chickens that automatically collects eggs.\\n \\u0020 E = Egg\\n \\u0020 H = Hopper\\n\\n \\u0020 \\u0020Lx8 \\u0020| Lx2 \\u0020| \\u0020Lx8\\n \\u0020 \\u0020Ex2 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Ex2\\n \\u0020 \\u0020Lx4 \\u0020| Hx1 \\u0020| \\u0020Lx4","color":"reset"}]','["",{"text":"Butchery.","bold":true,"underlined":true},{"text":" Hires a butcher, who tends to cows and trades their supplies.\\n \\u0020 H = Hay Bale\\n \\u0020 F = Smoker\\n \\u0020 C = Cauldron\\n \\u0020 E = Leather\\n\\n \\u0020 \\u0020Lx24\\u0020| Hx4 \\u0020| \\u0020Lx24\\n \\u0020 \\u0020Fx1 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Cx1\\n \\u0020 \\u0020Sx16\\u0020| Ex8 \\u0020| \\u0020Sx16","color":"reset"}]','["",{"text":"Adventure Guild.","bold":true,"underlined":true},{"text":" Hires an adventurer, who will trade for treasures and exploration materials.\\n \\u0020 M = Empty Map\\n \\u0020 I = Iron Sword\\n \\u0020 C = Mossy Cbblestne\\n\\n \\u0020 \\u0020Mx1 \\u0020| Ix1 \\u0020| \\u0020Cx4\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx16\\n \\u0020 \\u0020Lx8 \\u0020| Sx4 \\u0020| \\u0020Lx8","color":"reset"}]','["",{"text":"Villager Housing.","bold":true,"underlined":true},{"text":" An inviting home for new citizens.\\n \\u0020 E = Emerald\\n \\u0020 W = White Wool\\n\\n \\u0020 \\u0020Lx8 \\u0020| Ex4 \\u0020| \\u0020Lx8\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx16\\n \\u0020 \\u0020Sx24\\u0020| Wx12\\u0020| \\u0020Sx24","color":"reset"}]','["",{"text":"Barnyard.","bold":true,"underlined":true},{"text":" Builds a large barn to collect manure from animals.\\n \\u0020 C = Crimson Log\\n \\u0020 O = Composter\\n \\u0020 H = Hay Bale\\n\\n \\u0020 \\u0020Sx16\\u0020| Cx32\\u0020| \\u0020Sx16\\n \\u0020 \\u0020Cx32\\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Cx32\\n \\u0020 \\u0020Ox4 \\u0020| Lx32\\u0020| \\u0020Hx12","color":"reset"}]','["",{"text":"Nether Shrine.","bold":true,"underlined":true},{"text":" A Nether Portal, with beacon support.\\n \\u0020 Q = Quartz Block\\n \\u0020 G = Glowstone Block\\n \\u0020 O = Obsidian\\n \\u0020 N = Netherbrck Block\\n\\n \\u0020 \\u0020Qx8 \\u0020| Ox8 \\u0020| \\u0020Qx8\\n \\u0020 \\u0020Gx2 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Gx2\\n \\u0020 \\u0020Qx8 \\u0020| Nx8 \\u0020| \\u0020Qx8","color":"reset"}]','["",{"text":"Potion Hut.","bold":true,"underlined":true},{"text":" Hires a brewer, who will trade for potion materials.\\n \\u0020 G = Glass Bottle\\n \\u0020 B = Blaze Rod\\n \\u0020 C = Cauldron\\n \\u0020 W = Water Bucket\\n \\u0020 (Not returned)\\n\\n \\u0020 \\u0020Lx8 \\u0020| Gx2 \\u0020| \\u0020Lx8\\n \\u0020 \\u0020Bx2 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Cx1\\n \\u0020 \\u0020Lx8 \\u0020| Wx1 \\u0020| \\u0020Lx8","color":"reset"}]','["",{"text":"Wizard Tower.","bold":true,"underlined":true},{"text":" Hires an enchanter.\\n \\u0020 B = Bookshelf\\n \\u0020 O = Obsidian\\n \\u0020 Y = Lapis Lazuli\\n \\u0020 D = Diamond\\n \\u0020 W = Lava Bucket\\n \\u0020 (Not returned)\\n\\n \\u0020 \\u0020Bx4 \\u0020| Ox2 \\u0020| \\u0020Bx4\\n \\u0020 \\u0020Yx2 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Dx2\\n \\u0020 \\u0020Sx64 | Wx1 \\u0020| \\u0020Sx64","color":"reset"}]','["",{"text":"Bard College.","bold":true,"underlined":true},{"text":" Hires a bard, whose music strengthens you.\\n \\u0020 R = Lectern\\n \\u0020 J = Jukebox\\n \\u0020\\n\\n \\u0020 \\u0020Rx3 \\u0020| Lx16\\u0020| \\u0020Jx3\\n \\u0020 \\u0020Lx32 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx32\\n \\u0020 \\u0020Lx64\\u0020| Sx16\\u0020| \\u0020Lx64","color":"reset"}]','["",{"text":"Railway Station.","bold":true,"underlined":true},{"text":" The start to an empire of rails as far as you can imagine.\\n \\u0020 I = Iron Ingot\\n \\u0020 R = Redstone\\n \\u0020 A = Lantern\\n \\u0020\\n\\n \\u0020 \\u0020Ix24\\u0020| Rx16\\u0020| \\u0020Ix24\\n \\u0020 \\u0020Ax4  |  \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Ax4\\n \\u0020 \\u0020Lx64\\u0020| Sx32\\u0020| \\u0020Lx64","color":"reset"}]','["",{"text":"Regional Outpost.","bold":true,"underlined":true},{"text":" A site to collect and trade biome-specific items.\\n \\u0020 C = Chest\\n \\u0020 A = Campfire\\n \\u0020 W = White Wool\\n \\u0020 B = Water Bucket (Not returned)\\n \\u0020\\n\\n \\u0020 \\u0020Cx1 \\u0020| Lx32\\u0020| \\u0020Ax1\\n \\u0020 \\u0020Wx8  |  \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Wx8\\n \\u0020 \\u0020Sx8 \\u0020| Bx1 \\u0020| \\u0020Sx8","color":"reset"}]','["",{"text":"Empty Plot.","bold":true,"underlined":true},{"text":" An empty set of land to build anything on.\\n \\u0020 W = Wheat Seeds\\n \\u0020 D = Dirt Block\\n\\n \\u0020 \\u0020Wx1 \\u0020| Wx1 \\u0020| \\u0020Wx1\\n \\u0020 \\u0020Wx1 \\u0020| Dx8 \\u0020| \\u0020Wx1\\n \\u0020 \\u0020Wx1 \\u0020| Wx1 \\u0020| \\u0020Wx1","color":"reset"}]','["",{"text":"Wall.","bold":true,"underlined":true},{"text":" An exterior wall.\\n\\n \\u0020 \\u0020Sx1 \\u0020| Sx1 \\u0020| \\u0020Sx1\\n \\u0020 \\u0020Sx1 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Sx1\\n \\u0020 \\u0020Sx1 \\u0020| Sx1 \\u0020| \\u0020Sx1","color":"reset"}]','["",{"text":"Wall and Gate.","bold":true,"underlined":true},{"text":" An exterior wall that allows passage into the town.\\n \\u0020 D = Dirt\\n\\n \\u0020 \\u0020Sx1 \\u0020| Sx1 \\u0020| \\u0020Sx1\\n \\u0020 \\u0020Sx1 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Sx1\\n \\u0020 \\u0020Sx1 \\u0020| Dx1 \\u0020| \\u0020Sx1","color":"reset"}]','["",{"text":"End Vault.","bold":true,"underlined":true},{"text":" A rotating, near infinite storage system.\\n \\u0020 H = Shulker Shell\\n \\u0020 P = Purpur Pillar\\n \\u0020 O = Obsidian\\n \\u0020 E = Endstone Bricks\\n\\n \\u0020 \\u0020Hx1 \\u0020| Px16 | \\u0020Hx1\\n \\u0020 \\u0020Ox4 \\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Ox4\\n \\u0020 \\u0020Ex8 \\u0020| \\u0020? \\u0020 | \\u0020Ex8","color":"reset"}]','["",{"text":"Haunted Mansion.","bold":true,"underlined":true},{"text":" Filled with ghosts that trade dead matter for \'experience\'.\\n \\u0020 B = Bone\\n \\u0020 J = Jack o\' Lantern\\n \\u0020 C = Cobblestone\\n\\n \\u0020 \\u0020Bx4 \\u0020| Jx2 \\u0020| \\u0020Bx4\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx16\\n \\u0020 \\u0020Cx16\\u0020| \\u0020? \\u0020 | \\u0020Cx16","color":"reset"}]','["",{"text":"Star Dial.","bold":true,"underlined":true},{"text":" Allows for travel forward and back through time.\\n \\u0020 T = Sandstone\\n \\u0020 R = Red Sandstone\\n \\u0020 G = Glowstone Dust\\n \\u0020 P = Prsmrine Crystls\\n\\n \\u0020 \\u0020Tx4 \\u0020| Rx16 | \\u0020Tx4\\n \\u0020 \\u0020Px2 \\u0020|  \\u0020","color":"reset"},{"text":"Q ","obfuscated":true},{"text":"  | \\u0020Gx2\\n \\u0020 \\u0020Tx4 \\u0020|  \\u0020?  \\u0020| \\u0020Tx4","color":"reset"}]','["",{"text":"Grand Cathedral.","bold":true,"underlined":true},{"text":" A huge monument to long-forgotten names.\\n \\u0020 G = Glass Block\\n \\u0020 D = Polished Diorite\\n\\n \\u0020 \\u0020Gx16\\u0020| Lx16 | \\u0020Gx16\\n \\u0020 \\u0020Dx32\\u0020| \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Dx32\\n \\u0020 \\u0020Sx64\\u0020| \\u0020? \\u0020 | \\u0020Sx64","color":"reset"}]','["",{"text":"Castle Frame.","bold":true,"underlined":true},{"text":" For planning out the sites of a future castle.\\n \\u0020 C = Crafting Table\\n \\u0020 ","color":"reset"},{"text":"Q","obfuscated":true},{"text":" = Castle Permit\\n \\u0020 G = Gold Ingot\\n \\u0020 (Universal for Castle sites)\\n\\n \\u0020 \\u0020Lx16 | Cx1 \\u0020| \\u0020Lx16\\n \\u0020 \\u0020Lx16 | \\u0020","color":"reset"},{"text":"Q \\u0020","obfuscated":true},{"text":" | \\u0020Lx16\\n \\u0020 \\u0020Gx2 \\u0020| Gx2 \\u0020| \\u0020Gx2","color":"reset"}]'],title:"Settlement Site Recipes",author:"Town Planner"}},maxUses:9999999},{buy:{id:gold_ingot,Count:4},sell:{id:"minecraft:paper",Count:1b,tag:{HideFlags:1,display:{Lore:['{"text":"The final ingredient"}','{"text":"in new town structures."}'],Name:'{"text":"Building Permit"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}},maxUses:9999999},{buy:{id:gold_ingot,Count:24},buyB:{id:"minecraft:paper",Count:1b,tag:{HideFlags:1,display:{Lore:['{"text":"The final ingredient"}','{"text":"in new town structures."}'],Name:'{"text":"Building Permit"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}},sell:{id:"minecraft:paper",Count:6b,tag:{HideFlags:1,display:{Lore:['{"text":"For preparing sites"}','{"text":"for a unified fortress."}'],Name:'{"text":"Castle Permit"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}},maxUses:1}]},Tags:[nitCitizen,nitKTP,global.ignore]}
scoreboard players operation @e[tag=nitKTP,limit=1,sort=nearest] nitID = @s nitID
kill @e[tag=nitTownPlanner]